Skip to main content
PATCH
/
v2
/
evaluators
/
{id}
Update an Evaluator
curl --request PATCH \
  --url https://api.orq.ai/v2/evaluators/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "llm_eval",
  "path": "Default",
  "guardrail_config": {
    "enabled": true,
    "type": "boolean",
    "value": true,
    "alert_on_failure": false
  },
  "output_type": "boolean",
  "mode": "single",
  "repetitions": 2,
  "prompt": "<string>",
  "description": "<string>",
  "model": "<string>",
  "jury": {
    "judges": [
      {
        "model": "<string>",
        "retry": {
          "count": 2,
          "on_codes": [
            429,
            500,
            502,
            503,
            504
          ]
        },
        "fallbacks": []
      }
    ],
    "replacement_judges": [],
    "min_successful_judges": 2,
    "tie_value": "Tie"
  },
  "key": "<string>"
}
'
{
  "_id": "<string>",
  "description": "<string>",
  "type": "llm_eval",
  "prompt": "<string>",
  "key": "<string>",
  "mode": "single",
  "model": "<string>",
  "created": "2026-02-20T17:38:01.008Z",
  "updated": "2026-02-20T17:38:01.008Z",
  "guardrail_config": {
    "enabled": true,
    "type": "boolean",
    "value": true,
    "alert_on_failure": false
  },
  "repetitions": 2
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
type
enum<string>
required
Available options:
llm_eval
path
string
required

Entity storage path in the format: project/folder/subfolder/...

The first element identifies the project, followed by nested folders (auto-created as needed).

With project-based API keys, the first element is treated as a folder name, as the project is predetermined by the API key.

Example:

"Default"

guardrail_config
Boolean · object
output_type
enum<string>

The type of output expected from the evaluator

Available options:
boolean,
categorical,
number,
string
mode
enum<string>
Available options:
single,
jury
repetitions
integer
Required range: 1 <= x <= 3
prompt
string
description
string
model
string
jury
object
key
string
Minimum string length: 1
Pattern: ^[a-zA-Z0-9]([a-zA-Z0-9_-]*[a-zA-Z0-9])?$

Response

Successfully updated an eval

_id
string
required
description
string
required
type
enum<string>
required
Available options:
llm_eval
prompt
string
required
key
string
required
Minimum string length: 1
Pattern: ^[a-zA-Z0-9]([a-zA-Z0-9_-]*[a-zA-Z0-9])?$
mode
enum<string>
required
Available options:
single
model
string
required
created
string
default:2026-02-20T17:38:01.008Z
updated
string
default:2026-02-20T17:38:01.008Z
guardrail_config
Boolean · object
repetitions
integer
Required range: 1 <= x <= 3